#include "ajouter_commande.h"
#include "ui_ajouter_commande.h"
#include"commande.h"
#include"QSystemTrayIcon"
#include"smtp.h"
ajouter_commande::ajouter_commande(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::ajouter_commande)
{
    ui->setupUi(this);
}

ajouter_commande::~ajouter_commande()
{
    delete ui;
}


void ajouter_commande::on_pushButton_clicked()
{

    int numC = ui->line_num->text().toInt();
     int prixC= ui->line_prix->text().toInt();
     int quantite = ui->line_quantite->text().toInt();
    QString etat= ui->line_etat->text();

  commande c (numC,prixC,quantite,etat);
  bool test=c.ajouter();
  if(test)

{
      Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
      s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été ajouter avec succés","Mr youssef");
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Succés","une commande a été ajouter avec succés",QSystemTrayIcon::Warning,10000);
      hide();
}
  else
  {
      notifier = new QSystemTrayIcon(this);
      notifier->setIcon(QIcon("notification.png"));
      notifier->show();
      notifier->showMessage("Erreur","La commande n'a pas été ajouté",QSystemTrayIcon::Warning,10000);

}
}
